- Qt 6.5
- Qt SQL
- C++ Classes
- QSqlDriverCreator
- Qt 6.5.0 Reference Documentation

# QSqlDriverCreator Class

template <typename T> class QSqlDriverCreator

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type. More...

Header: | #include <QSqlDriverCreator>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sql) target_link_libraries(mytarget PRIVATE Qt6::Sql)
qmake: | QT += sql
Inherits: | QSqlDriverCreatorBase

- List of all members, including inherited members
- QSqlDriverCreator is part of Database Classes.

## Reimplemented Public Functions

virtual QSqlDriver * | createObject() const override

## Detailed Description

QSqlDriverCreator<T> instantiates objects of type T, where T is a QSqlDriver subclass.

See QSqlDatabase::registerSqlDriver() for details.

## Member Function Documentation

### `[override virtual]` QSqlDriver *QSqlDriverCreator::createObject() const

Reimplements: QSqlDriverCreatorBase::createObject() const.